Package org.bukkit.generator

# Interface ChunkGenerator.BiomeGrid

Enclosing class:
  ChunkGenerator

@Deprecated public static interface ChunkGenerator.BiomeGrid
Deprecated.
Biomes are now set with `BiomeProvider`
Interface to biome section for chunk to be generated: initialized with default values for world type and seed.

Custom generator is free to access and tailor values during generateBlockSections() or generateExtBlockSections().

## Method Summary

Modifier and Type
Method
Description
`@NotNull Biome`
`getBiome(int x, int z)`
Deprecated.
biomes are now 3-dimensional
`@NotNull Biome`
`getBiome(int x, int y, int z)`
Deprecated.
Get biome at x, z within chunk being generated
`void`
`setBiome(int x, int y, int z, @NotNull Biome bio)`
Deprecated.
Set biome at x, z within chunk being generated
`void`
`setBiome(int x, int z, @NotNull Biome bio)`
Deprecated.
biomes are now 3-dimensional

## Method Details

### getBiome

@NotNull @Deprecated @NotNull Biome getBiome(int x, int z)
Deprecated.
biomes are now 3-dimensional
Get biome at x, z within chunk being generated

Parameters:
  `x` - - 0-15
  `z` - - 0-15
Returns:
  Biome value

### getBiome

@NotNull @NotNull Biome getBiome(int x, int y, int z)
Deprecated.
Get biome at x, z within chunk being generated

Parameters:
  `x` - - 0-15
  `y` - - 0-255
  `z` - - 0-15
Returns:
  Biome value

### setBiome

@Deprecated void setBiome(int x, int z, @NotNull @NotNull Biome bio)
Deprecated.
biomes are now 3-dimensional
Set biome at x, z within chunk being generated

Parameters:
  `x` - - 0-15
  `z` - - 0-15
  `bio` - - Biome value

### setBiome

void setBiome(int x, int y, int z, @NotNull @NotNull Biome bio)
Deprecated.
Set biome at x, z within chunk being generated

Parameters:
  `x` - - 0-15
  `y` - - 0-255
  `z` - - 0-15
  `bio` - - Biome value